### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »

# collada.scene.RotateTransform

class `collada.scene.``RotateTransform`(x, y, z, angle, xmlnode=None)

  Bases: `collada.scene.Transform`

  Contains a rotation transformation as defined in the collada <rotate> tag.

  `__init__`(x, y, z, angle, xmlnode=None)

    Creates a rotation transformation

    Parameters:

    - x (float) – x coordinate
    - y (float) – y coordinate
    - z (float) – z coordinate
    - angle (float) – angle of rotation, in radians
    - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(x, y, z, angle[, xmlnode]) | Creates a rotation transformation
  `load`(collada, node) |
  `save`() |

  `x` = None

    x coordinate

  `y` = None

    y coordinate

  `z` = None

    z coordinate

  `angle` = None

    angle of rotation, in radians

  `matrix` = None

    The resulting transformation matrix. This will be a numpy.array of size 4x4.

  `xmlnode` = None

    ElementTree representation of the transform.

### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »